Bug 669984 - BZplugin: when SSLVerify is set, can't sent reports
Summary: BZplugin: when SSLVerify is set, can't sent reports
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 14
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Nikola Pajkovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 675165
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-16 13:59 UTC by David Kovalsky
Modified: 2014-03-31 23:46 UTC (History)
13 users (show)

Fixed In Version: abrt-2.0.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-26 16:19:08 UTC


Attachments (Terms of Use)

Description David Kovalsky 2011-01-16 13:59:41 UTC
Recently I can't submit backtraces with SSLVerify set for Bugzilla. Abrt (libcurl) complains that it can't verify the certificate. 

$ rpm -qa 'abrt*'|sort
abrt-1.1.14-1.fc14.x86_64
abrt-addon-ccpp-1.1.14-1.fc14.x86_64
abrt-addon-kerneloops-1.1.14-1.fc14.x86_64
abrt-addon-python-1.1.14-1.fc14.x86_64
abrt-cli-1.1.14-1.fc14.x86_64
abrt-desktop-1.1.14-1.fc14.x86_64
abrt-gui-1.1.14-1.fc14.x86_64
abrt-libs-1.1.14-1.fc14.x86_64
abrt-plugin-bugzilla-1.1.14-1.fc14.x86_64
abrt-plugin-logger-1.1.14-1.fc14.x86_64
abrt-plugin-rhtsupport-1.1.14-1.fc14.x86_64
abrt-plugin-runapp-1.1.14-1.fc14.x86_64
abrt-plugin-sosreport-1.1.14-1.fc14.x86_64


Error message:
Cannot login. Check Edit->Plugins->Bugzilla and /etc/abrt/plugins/Bugzilla.conf. Server said: libcurl failed to execute the HTTP POST transaction.  Peer certificate cannot be authenticated with known CA certificates

Comment 1 Christian 2011-01-31 17:14:05 UTC
I've now encountered this too.

Comment 2 Miguel Angel Perez 2011-02-04 12:56:59 UTC
I'm having this issue too in x86 platform.

Comment 3 Nikola Pajkovsky 2011-02-04 13:15:15 UTC
Could you please $ cat /etc/abrt/plugins/Bugzilla.conf and look at the gnome-keyring via seahores what's your link to bugzilla?

Comment 4 Miguel Angel Perez 2011-02-04 13:28:39 UTC
Mine are:

======   /etc/abrt/plugins/Bugzilla.conf   ======

Enabled = yes

# Bugzilla URL
BugzillaURL = https://bugzilla.redhat.com/
# yes means that ssl certificates will be checked
SSLVerify = yes
# your login has to exist, if you don have any, please create one
Login =
# your password
Password =


======  Bugzilla's link in gnome-keyring  ======

https://bugzilla.redhat.com

Comment 5 Nikola Pajkovsky 2011-02-04 14:39:39 UTC
ehm, sometimes impossible things are happened between sky and computer without any reason. Now it works. The problem was with certificate verification. See more information in bug #675165.

Comment 6 Fedora Update System 2011-03-27 17:35:53 UTC
abrt-2.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-1.fc15

Comment 7 Fedora Update System 2011-03-29 20:01:12 UTC
abrt-2.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15

Comment 8 Fedora Update System 2011-03-30 02:32:02 UTC
Package abrt-2.0.0-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.0-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-03-30 16:48:21 UTC
abrt-2.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-3.fc15

Comment 10 Fedora Update System 2011-04-04 14:08:02 UTC
abrt-2.0.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-4.fc15

Comment 11 Fedora Update System 2011-04-15 15:08:45 UTC
abrt-2.0.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-5.fc15

Comment 12 Fedora Update System 2011-04-20 13:29:36 UTC
abrt-2.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-1.fc15

Comment 13 Fedora Update System 2011-04-21 16:44:17 UTC
abrt-2.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-2.fc15

Comment 14 Fedora Update System 2011-04-26 16:11:43 UTC
abrt-2.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.